curl --request PATCH \
--url https://api.example.com/payment-sheet/export/{paymentSheetExportId}/{collaboratorId} \
--header 'Content-Type: application/json' \
--data '
{
"values": [
{
"eventId": "123-456abc",
"numericValue": 480,
"dates": [
"2023-07-23T00:00:00.000Z"
]
}
]
}
'const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
values: [
{eventId: '123-456abc', numericValue: 480, dates: ['2023-07-23T00:00:00.000Z']}
]
})
};
fetch('https://api.example.com/payment-sheet/export/{paymentSheetExportId}/{collaboratorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/payment-sheet/export/{paymentSheetExportId}/{collaboratorId}"
payload = { "values": [
{
"eventId": "123-456abc",
"numericValue": 480,
"dates": ["2023-07-23T00:00:00.000Z"]
}
] }
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/payment-sheet/export/{paymentSheetExportId}/{collaboratorId}"
payload := strings.NewReader("{\n \"values\": [\n {\n \"eventId\": \"123-456abc\",\n \"numericValue\": 480,\n \"dates\": [\n \"2023-07-23T00:00:00.000Z\"\n ]\n }\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
{
"id": "123-abc",
"competence": "07/2024",
"startDate": "01/07/2024",
"endDate": "31/07/2024",
"source": "KEEVO NG FOLHA",
"status": "PENDING",
"layoutId": "123-456abc",
"collaborators": 10,
"paymentSheets": [
{
"collaborator": {
"id": "123-456abc",
"code": 7,
"name": "Fulano de Tal",
"documentNumber": "15621118054",
"internalRegistration": "49172594718",
"photo": "https://s3-bucket.s3.amazonaws.com/files/tenant_x/file.jpg",
"businessUnit": {
"id": "123-456abc",
"name": "Fulano de Tal",
"documentNumber": "15621118054",
"documentNumberType": "CNPJ",
"complementaryRegistration": "15621118054",
"complementaryRegistrationType": "CNPJ",
"photo": "https://s3-bucket.s3.amazonaws.com/files/tenant_x/file.jpg"
}
},
"status": "PENDING",
"events": [
{
"id": "123-abc",
"code": "250087",
"description": "Keevo NG Folha",
"measurementUnit": "Horas",
"numericValue": 480,
"stringValue": "8:00",
"dates": [
"2024-07-22T00:00:00.000Z",
"2024-07-23T00:00:00.000Z"
],
"tron": {},
"advancedPercentage": "50%"
}
]
}
],
"base64": "dGVzdA=="
}{
"service": "<string>",
"method": "<string>",
"message": "message erro"
}Muda valores de eventos de uma exportação de folha de pagamento de um colaborador
Path Parameters
Id da exportação de folha de pagamento
"a2f2cbed-e141-465c-a769-f1591be5f35c"
Id do colaborador
"a2f2cbed-e141-465c-a769-f1591be5f35c"
Body
Valores dos eventos
Valores a serem editados
Show child attributes
Show child attributes
Response
Exportação de folha de pagamento
Id da exportação de folha de pagamento
"123-abc"
Competência da exportação de folha de pagamento
"07/2024"
Data inicial da exportação de folha de pagamento
"01/07/2024"
Data final da exportação de folha de pagamento
"31/07/2024"
Fonte do parâmetro de folha de pagamento
"KEEVO NG FOLHA"
Status da exportação de folha de pagamento
PENDING, PROCESSED, PROCESSING ID do layout de exportação em .txt, para o caso de uma fonte desconhecida (Outro)
"123-456abc"
Número de colaboradores da exportação de folha de pagamento
10
Folhas de pagamento
Show child attributes
Show child attributes
Base64 dos eventos em formato .txt
"dGVzdA=="